org.eclipse.oomph.p2.core

## Interface AgentManager

-     public interface AgentManager

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROP_BUNDLE_POOL_LOCATION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Agent` | `addAgent(File location)`
    `Agent` | `getAgent(File location)`
    `Set<File>` | `getAgentLocations()`
    `Collection<Agent>` | `getAgents()`
    `BundlePool` | `getBundlePool(File location)`
    `Collection<BundlePool>` | `getBundlePools()`
    `Agent` | `getCurrentAgent()`
    `BundlePool` | `getDefaultBundlePool(String client)`
    `boolean` | `refreshAgents()`
    `void` | `setDefaultBundlePool(String client, BundlePool bundlePool)`

- - ### Field Detail

    - #### PROP_BUNDLE_POOL_LOCATION

          static final String PROP_BUNDLE_POOL_LOCATION

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCurrentAgent

          Agent getCurrentAgent()

    - #### getAgentLocations

          Set<File> getAgentLocations()

    - #### getAgents

          Collection<Agent> getAgents()

    - #### getAgent

          Agent getAgent(File location)

    - #### addAgent

          Agent addAgent(File location)

    - #### refreshAgents

          boolean refreshAgents()

    - #### getBundlePools

          Collection<BundlePool> getBundlePools()

    - #### getBundlePool

          BundlePool getBundlePool(File location)
                                   throws P2Exception

      Throws:
        `P2Exception`

    - #### getDefaultBundlePool

          BundlePool getDefaultBundlePool(String client)
                                          throws P2Exception

      Throws:
        `P2Exception`

    - #### setDefaultBundlePool

          void setDefaultBundlePool(String client,
                                  BundlePool bundlePool)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html